# Linkage

enum Linkage : Named

Specify how a native library should be linked into another binary.

#### Since

4.5

## Entries

STATIC
Link copied to clipboard
STATIC

Statically link binaries together.

SHARED
Link copied to clipboard
SHARED

Dynamically link binaries together.

## Functions

getName
Link copied to clipboard
open fun getName(): String
valueOf
Link copied to clipboard
open fun valueOf(name: String): Linkage

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<Linkage>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.